


(*fonctions pour affichher une scene list *)

(*fonction pour afficher une liste de couples string*entier*)

let affiche_liste liste= 
   let rec affiche2 = function
   [] -> failwith "pas de champs" 
  |(nom,valeur)::[] -> "("^nom^","^(string_of_int valeur)^")"
  |(nom,valeur)::reste -> "("^nom^","^(string_of_int valeur)^");"^(affiche2 reste)
   in
  "["^(affiche2 liste)^"]"
;;

(*fonction pour afficher une liste de liste de couples*)

let affiche_ll liste= 
  let rec affiche = function
   [] -> failwith "liste vide"
  |h::[] -> (affiche_liste h)
  |h::t -> (affiche_liste h)^";"^(affiche t)
  in
   "["^(affiche liste)^"]"
;;

(*fonction pour afficher une liste de liste de liste de couples*)
let affiche_lll liste=
  let rec affiche = function
   [] -> failwith "liste vide"
  |h::[] -> (affiche_ll h)
  |h::t -> (affiche_ll h)^";"^(affiche t)
  in
   "["^(affiche liste)^"]"
;;

(*fonction pour imprimer a l'ecran ce qu'il y a en sortie du parser*)
let affiche liste = print_string(affiche_lll liste);; 

