type position = int*int
type label = string

type value = Int of int | Vect of (int*int) ;;
type data = {pos : position ; values : (label * value) list }



(*exception Erreur of string ;;*)

let get_champ l d = List.assoc l d.values ;;

let get_pos d = d.pos ;;

(*let get_champ_opt c d = if List.mem_assoc c d then Some (List.assoc c d) else None ;;

let get_champ_int c d = match List.assoc c d with
    Int i -> i 
  | Vect _ -> raise (Erreur (c^" : this field must be an integer"));;
*)

let exists_champ l d = List.mem_assoc l d.values ;;

let liste_champs  d =  fst (List.split d.values) ;; (* pas optimal *)

let make_data p l = {pos = p ; values = l} ;;

let data_vide p = {pos = p; values = [] };;

let add_champ (s,i) d = {d with values = (s,i) :: d.values };;

(*Fonction qui donne l'entier correspondant au int option*)
(*entier :'a option -> 'a*)
(*let entier = function
  | None 
  | Some (Vect _) -> failwith "Erreur,ne peut etre affiche!"
  | Some (Int i) -> i
;;

let add_coordonnees (x,y) d = ("posx", Int x) :: ("posy", Int y) :: d ;;
*)
