(** Creating SVG code *)

let entete() = "<?xml version=\"1.0\"?>
<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 1.1//EN\"
         \"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd\">
<svg xmlns=\"http://www.w3.org/2000/svg\"
     xmlns:xlink=\"http://www.w3.org/1999/xlink\">"
;;

let fin () = "</svg>";;


(** Creates an SVG rectangle 
    @param x the x postion of the upper-left corner
    @param y the y position of the upper-left corner
    @param dx the width of the rectangle
    @param dy the heigth of the rectangle
*)
let rect x y dx dy  = 
  let sx = string_of_int x
  and sy = string_of_int y 
      and sdx = string_of_int dx
       and sdy = string_of_int dy in

  "<rect x=\"" ^ sx ^"\" y=\"" ^ sy ^ "\" width=\"" ^
  sdx ^ "\" height=\"" ^ sdy ^ "\"
        fill=\"none\" stroke=\"blue\" stroke-width=\"2\"/>"
;;

